> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhinestone.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Supported chains and tokens

> Get supported chains and tokens with additional metadata



## OpenAPI

````yaml https://raw.githubusercontent.com/rhinestonewtf/openapi/refs/heads/main/orchestrator.json get /chains
openapi: 3.0.2
info:
  title: Rhinestone Orchestrator API
  version: 1.0.0
servers:
  - url: https://v1.orchestrator.rhinestone.dev
security: []
paths:
  /chains:
    get:
      tags:
        - Utilities
      summary: Supported chains and tokens
      description: Get supported chains and tokens with additional metadata
      parameters: []
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object
                  properties:
                    name:
                      type: string
                      description: The name of the chain
                      example: Arbitrum One
                    supportedTokens:
                      oneOf:
                        - type: string
                          enum:
                            - all
                        - type: array
                          items:
                            type: object
                            properties:
                              symbol:
                                type: string
                              address:
                                type: string
                              decimals:
                                type: number
                            required:
                              - symbol
                              - address
                              - decimals
                    testnet:
                      type: boolean
                  required:
                    - name
                    - supportedTokens
                    - testnet
                description: The supported chains and tokens with additional metadata

````